Package: groovy.org.codenarc.rule.concurrency

## [Groovy] Class WaitOutsideOfWhileLoopAstVisitor

- groovy.org.codenarc.rule.concurrency.WaitOutsideOfWhileLoopAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)`
    `` | `void` | `visitWhileLoop(org.codehaus.groovy.ast.stmt.WhileStatement whileStatement)`

- - ### Method Detail

    - #### void visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)

    - #### void visitWhileLoop(org.codehaus.groovy.ast.stmt.WhileStatement whileStatement)